services:
  app:
    build:
      context: ..
      dockerfile: ./docker/Dockerfile.dev
      args:
        - NODE_ENV=${NODE_ENV:-development}
    ports:
      - '3000:3000'
    volumes:
      - ../:/app
      - /app/node_modules
    env_file:
      - ../.env.${ENV:-local}
    environment:
      - NODE_ENV=${NODE_ENV:-development}
      - ENV=${ENV:-local}
    restart: unless-stopped
